Subject: Re: blacksmithing

From: "Mark Williams (Hoge) 1896" <[email-masked]>
Date: 24 Feb 1995 12:56:25 GMT

[email-masked] (M Straatmann) wrote:
>
> I've recently taken up blacksmithing, and for one of my first 
> projects I have decided to make some barbeque utensils.  I've almost 
> finished them, but is there a way to coat them with something that 
> will make them usable on food?  I have read about coating with 
> turpentine and beeswax, but that doesn't sound like a good idea here? 
> Any suggestions?
> 
> Mike
> --
> "Masochists are people who have pain confused with pleasure.  In a country 
> which has television confused with entertainment, Doritos confused with
> food, and Dan Quayle confused with a national political leader, masochists 
> are clearly less mixed up than the rest of us." - P.J. O'Rourke     
 
Mike,

You may use any edible oil to finish food utensils. First make sure that
all the scale is off the object, heat to a black heat, rub oil into surface
of the object witha clean cloth. You may have to repeat this process.
For skillets I've heard that suet works well.

Mark Williams
[email-masked]